Skip to main content
PATCH
/
tools
/
{tool_id}
Update Tool
curl --request PATCH \
  --url https://api.truedy.ai/api/public/v1/tools/{tool_id} \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "definition": {
    "type": "http",
    "method": "GET",
    "base_url": "https://api.weather.com/v2/forecast"
  }
}
'
{
  "data": {
    "id": "tool_p1q2r3s4",
    "name": "Book Appointment v2",
    "type": "http",
    "description": "Books an appointment in the CRM calendar",
    "url": "https://api.example.com/appointments",
    "method": "POST",
    "headers": {
      "Content-Type": "application/json",
      "X-API-Key": "{{api_key}}"
    },
    "body_template": "{\"name\": \"{{contact_name}}\", \"time\": \"{{appointment_time}}\"}",
    "timeout_seconds": 10,
    "created_at": "2026-03-10T08:00:00Z",
    "updated_at": "2026-04-05T10:22:00Z"
  },
  "meta": {
    "request_id": "req_32e7531c",
    "ts": "2026-04-05T10:22:00Z"
  }
}

Authorizations

Authorization
string
header
required

API key authentication. Include your API key in the Authorization header: Bearer <your_api_key>

Path Parameters

tool_id
string
required

Tool ID

Body

application/json
name
string | null

Updated tool name

Required string length: 1 - 255
Example:

"Enhanced Weather Tool"

definition
object | null

Updated tool definition

Example:
{
"type": "http",
"method": "GET",
"base_url": "https://api.weather.com/v2/forecast"
}

Response

Tool updated successfully

data
object
required
meta
object
required